<template>
    <form @submit.prevent="submitForm">
        <input class="py-1" v-model="newProfile.uid" placeholder="UID" required/>
        <select v-model="newProfile.country_id" class="py-1" required>
            <option value="" disabled>Select Country</option>
            <option v-for="country in countries" :key="country.id" :value="country.id">{{ country.title }}</option>
        </select>
        <input class="py-1" v-model="newProfile.email" placeholder="Email" type="email" required/>
        <input class="py-1" v-model="newProfile.name" placeholder="Name"/>
        <input class="py-1" v-model="newProfile.phone" placeholder="Phone"/>
        <input class="py-1" v-model="newProfile.card_no" placeholder="Card No"/>
        <input class="py-1" v-model="newProfile.card_cvv" placeholder="Card CVV"/>
        <button class="py-1" type="submit">Add profile</button>
    </form>
</template>

<script>
export default {
    props: {
        submitForm: {
            type: Function,
            required: true
        },
        newProfile: {
            type: Object,
            required: true
        },
        countries: {
            type: Array,
            required: true
        }
    }
};
</script>
